
data:extend(
{
{
    type = "lamp",
    name = "lava",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral"},
    minable = {hardness = 1, mining_time = 1, result = "lava"},
    max_health = 55,
    corpse = "small-remnants",
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },
    energy_usage_per_tick = "-1KW",
    light = {intensity = 0.9, size = 40},
    picture_off =
    {
      filename = "__theUnderground__/graphics/entity/lavaSource/lavaSource.png",
      priority = "high",
      width = 75,
      height = 61,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {0.078125, -0.03125},
    },
    picture_on =
    {
      filename = "__theUnderground__/graphics/entity/lavaSource/lavaSource.png",
      priority = "high",
      width = 75,
      height = 61,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {0.0625, -0.21875},
    },

    circuit_wire_connection_point =
    {
      shadow =
      {
        red = {0.859375, -0.296875},
        green = {0.859375, -0.296875},
      },
      wire =
      {
        red = {0.40625, -0.59375},
        green = {0.40625, -0.59375},
      }
    },

    circuit_wire_max_distance = 7.5
  },
})
